openSUSE Security Update : OpenOffice_org-draw (openSUSE-SU-2010:0732-1)

This script is Copyright (C) 2010-2014 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

Specially crafted ppt files could cause a heap based buffer overflow
in OpenOffice_org Impress. Attackers could exploit that to crash
OpenOffice_org or potentially even execute arbitrary code
(CVE-2010-2935, CVE-2010-2936).

See also :

http://lists.opensuse.org/opensuse-updates/2010-10/msg00020.html
https://bugzilla.novell.com/show_bug.cgi?id=629085

Solution :

Update the affected OpenOffice_org-draw packages.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)

Family: SuSE Local Security Checks

Nessus Plugin ID: 50018 ()

Bugtraq ID:

CVE ID: CVE-2010-2935
CVE-2010-2936

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now